## lm4tools 0.1.3

=== Makefile ===
all:
	@${MAKE} -C lmicdiusb all
	@${MAKE} -C lm4flash all

install: all
	@${MAKE} -C lmicdiusb install
	@${MAKE} -C lm4flash install

=== lm4flash/Makefile ===
EXE := lm4flash

CC ?= gcc
CFLAGS += -Wall

ifeq ($(shell uname),FreeBSD)
LDFLAGS += -lusb
else
CFLAGS += $(shell pkg-config --cflags libusb-1.0)
LDFLAGS += $(shell pkg-config --libs libusb-1.0)
endif

all: $(EXE)

release: CFLAGS += -O2
release: $(EXE)

debug: CFLAGS += -g -DDEBUG
debug: $(EXE)

$(EXE): $(EXE).c
	$(CC) $(CFLAGS) $^ $(LDFLAGS) -o $@

install: $(EXE)
ifndef PREFIX
	$(error PREFIX is not set)
endif
	mkdir -p $(PREFIX)/bin
	install $^ $(PREFIX)/bin/

clean:
	rm -f *.o $(EXE)

.PHONY: all clean

=== lmicdiusb/Makefile ===
#//*****************************************************************************
#//
#// Makefile - to build lmicdiusb utility
#//
#// Copyright (c) 2011-2012 Texas Instruments Incorporated.
#// All rights reserved.
#//
#// Software License Agreement
#//
#//   Redistribution and use in source and binary forms, with or without
#//   modification, are permitted provided that the following conditions
#//   are met:
#//
#//   Redistributions of source code must retain the above copyright
#//   notice, this list of conditions and the following disclaimer.
#//
#//   Redistributions in binary form must reproduce the above copyright
#//   notice, this list of conditions and the following disclaimer in the
#//   documentation and/or other materials provided with the
#//   distribution.
#//
#//   Neither the name of Texas Instruments Incorporated nor the names of
#//   its contributors may be used to endorse or promote products derived
#//   from this software without specific prior written permission.
#//
#// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#// A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
#// OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#// SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#// LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#// DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#// THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#// OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE
#//
#//*****************************************************************************
ifeq ($(shell uname),Darwin)
	LIBUSB_CFLAGS := -I/usr/local/include/libusb-1.0
	LIBUSB_LIBDIR := /usr/local/lib
	LIBUSB_LIBS := -lusb-1.0
	LDFLAGS += -framework AppKit -framework Carbon -framework IOKit
endif

ifeq ($(shell uname),FreeBSD)
	LIBUSB_CFLAGS :=
	LIBUSB_LIBDIR := /usr/lib
	LIBUSB_LIBS := -lusb
endif

ifeq ($(shell uname),Linux)
	LIBUSB_CFLAGS ?= $(shell pkg-config --cflags libusb-1.0)
	LIBUSB_LIBDIR ?= $(shell pkg-config --variable=libdir libusb-1.0)
	LIBUSB_LIBS ?= $(shell pkg-config --libs-only-l libusb-1.0)
endif

VPATH += $(LIBUSB_LIBDIR)

LDFLAGS += -L$(LIBUSB_LIBDIR) -g

CFLAGS += -Wall -g $(LIBUSB_CFLAGS)

all: lmicdi

lmicdi: lmicdi.o socket.o gdb.o $(LIBUSB_LIBS)

lmicdi.o socket.o: lmicdi.h

install: lmicdi
ifndef PREFIX
	$(error PREFIX is not set)
endif
	mkdir -p $(PREFIX)/bin
	install $^ $(PREFIX)/bin/

.PHONY: all clean

clean:
	rm -rf lmicdi lmicdi.o socket.o gdb.o

=== debian/changelog ===
lm4tools (3:0.1.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1097309)

 -- Adrian Bunk <bunk@debian.org>  Fri, 03 Oct 2025 22:58:56 +0300

lm4tools (3:0.1.3-1) unstable; urgency=medium

  * Add debian/watch file
  * Change Priority from extra to optional
  * Update dh to 11 (no changes needed)
  * Update Vcs-* fields pointing to salsa
  * Bumped Standards-Version to 4.2.0 (No changes needed)
  * Remove obsolete get-orig-source target
  * Use https on `Format` field in debian/copyright
  * Fix hardening flags
  * Add (autopkg)tests
  * Exclude non-free files
  * New upstream version 0.1.3
  * Remove patch, already fixed in upstream
  * [d/rules] Set PREFIX=${DESTDIR}

 -- Agustin Henze <tin@debian.org>  Sat, 18 Aug 2018 16:41:41 +0200

lm4tools (20141201~5a4bc0b+dfsg-1) unstable; urgency=medium

  * New upstream snapshot
  * Refresh patch Take-in-account-CFLAGS-and-LDFLAGS
  * Bumped Standard-Version to 3.9.6 (no changes required)

 -- Agustin Henze <tin@debian.org>  Fri, 21 Aug 2015 17:11:18 +0200

lm4tools (20140816~a565880+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #759294)

 -- Agustin Henze <tin@debian.org>  Sun, 24 Aug 2014 16:18:53 -0700

=== debian/control ===
Source: lm4tools
Section: devel
Priority: optional
Maintainer: Agustin Henze <tin@debian.org>
Build-Depends:
 debhelper (>= 11.0.0),
 xz-utils,
 libusb-1.0-0-dev,
 pkg-config,
 help2man,
Standards-Version: 4.2.0
Homepage: https://github.com/utzig/lm4tools
Vcs-Git: https://salsa.debian.org/debian/lm4tools.git
Vcs-Browser: https://salsa.debian.org/debian/lm4tools

Package: lm4flash
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lmicdiusb
Description: Command-line firmware flashing tool to communicate with the Stellaris Launchpad
 Command-line firmware flashing tool using libusb-1.0 to communicate with the
 Stellaris Launchpad ICDI
 .
 The Stellaris Launchpad is a low cost development board created by Texas
 Instruments that comes with an ARM Cortex-M4F processor

Package: lmicdiusb
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lm4flash
Description: Remote GDB socket over USB for Stellaris Launchpad ICDI
 TCP/USB bridge created by TI, letting GDB communicate with the Stellaris
 Launchpad ICDI
 .
 The Stellaris Launchpad is a low cost development board created by Texas
 Instruments that comes with an ARM Cortex-M4F processor

=== debian/tests/control ===
Tests: version
Depends: @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/utzig/lm4tools/tags .*/v?(\d\S+)\.tar\.gz

## lm4tools 20140816~a565880+dfsg

=== Makefile ===
#//*****************************************************************************
#//
#// Makefile - to build lmicdiusb utility
#//
#// Copyright (c) 2011-2012 Texas Instruments Incorporated.
#// All rights reserved.
#//
#// Software License Agreement
#//
#//   Redistribution and use in source and binary forms, with or without
#//   modification, are permitted provided that the following conditions
#//   are met:
#//
#//   Redistributions of source code must retain the above copyright
#//   notice, this list of conditions and the following disclaimer.
#//
#//   Redistributions in binary form must reproduce the above copyright
#//   notice, this list of conditions and the following disclaimer in the
#//   documentation and/or other materials provided with the
#//   distribution.
#//
#//   Neither the name of Texas Instruments Incorporated nor the names of
#//   its contributors may be used to endorse or promote products derived
#//   from this software without specific prior written permission.
#//
#// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
#// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
#// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
#// A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
#// OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
#// SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
#// LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
#// DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
#// THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
#// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#// OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE
#//
#//*****************************************************************************
ifeq ($(shell uname),Darwin)
	LIBUSB_CFLAGS := -I/usr/local/include/libusb-1.0
	LIBUSB_LIBDIR := /usr/local/lib
	LIBUSB_LIBS := -lusb-1.0
	LDFLAGS += -framework AppKit -framework Carbon -framework IOKit
endif

ifeq ($(shell uname),Linux)
	LIBUSB_CFLAGS ?= $(shell pkg-config --cflags libusb-1.0)
	LIBUSB_LIBDIR ?= $(shell pkg-config --variable=libdir libusb-1.0)
	LIBUSB_LIBS ?= $(shell pkg-config --libs-only-l libusb-1.0)
endif

VPATH += $(LIBUSB_LIBDIR)

LDFLAGS += -L$(LIBUSB_LIBDIR) -g

CFLAGS += -Wall -g $(LIBUSB_CFLAGS)

all: lmicdi

lmicdi: lmicdi.o socket.o gdb.o $(LIBUSB_LIBS)

lmicdi.o socket.o: lmicdi.h

.PHONY: all clean

clean:
	rm -rf lmicdi lmicdi.o socket.o gdb.o

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: lm4tools
 Section: devel
-Priority: optional
+Priority: extra
 Maintainer: Agustin Henze <tin@debian.org>
 Build-Depends:
- debhelper (>= 11.0.0),
+ debhelper (>= 9.0.0),
  xz-utils,
  libusb-1.0-0-dev,
  pkg-config,
  help2man,
-Standards-Version: 4.2.0
+Standards-Version: 3.9.5
 Homepage: https://github.com/utzig/lm4tools
-Vcs-Git: https://salsa.debian.org/debian/lm4tools.git
-Vcs-Browser: https://salsa.debian.org/debian/lm4tools
+Vcs-Git: git://anonscm.debian.org/collab-maint/lm4tools.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lm4tools.git
 
 Package: lm4flash
 Architecture: any

## lm4tools 20141201~5a4bc0b%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: lm4tools
 Section: devel
 Priority: extra
-Maintainer: Agustin Henze <tin@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Agustin Henze <tin@debian.org>
 Build-Depends:
  debhelper (>= 9.0.0),
  xz-utils,
  libusb-1.0-0-dev,
  pkg-config,
  help2man,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/utzig/lm4tools
 Vcs-Git: git://anonscm.debian.org/collab-maint/lm4tools.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/lm4tools.git

## lm4tools 20141201~5a4bc0b+dfsg

=== Makefile ===
--- 
+++ 
@@ -43,6 +43,12 @@
 	LDFLAGS += -framework AppKit -framework Carbon -framework IOKit
 endif
 
+ifeq ($(shell uname),FreeBSD)
+	LIBUSB_CFLAGS :=
+	LIBUSB_LIBDIR := /usr/lib
+	LIBUSB_LIBS := -lusb
+endif
+
 ifeq ($(shell uname),Linux)
 	LIBUSB_CFLAGS ?= $(shell pkg-config --cflags libusb-1.0)
 	LIBUSB_LIBDIR ?= $(shell pkg-config --variable=libdir libusb-1.0)

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lm4tools
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Agustin Henze <tin@debian.org>
+Maintainer: Agustin Henze <tin@debian.org>
 Build-Depends:
  debhelper (>= 9.0.0),
  xz-utils,

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

UVERSION := $(shell dpkg-parsechangelog -SVersion | cut -d- -f1)
CHANGESET := $(shell echo $(UVERSION) | cut -d \~ -f2 | cut -d + -f1)
PACKAGE_NAME := $(shell dpkg-parsechangelog -SSource)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -rf debian/tmp
	rm -f debian/lm4flash.1
	dh_auto_clean -D lm4flash/
	dh_auto_clean -D lmicdiusb/

override_dh_auto_build:
	dh_auto_build -D lm4flash
	dh_auto_build -D lmicdiusb

override_dh_installman:
	help2man -n "Command-line firmware flashing tool to communicate with the Stellaris Launchpad" \
		lm4flash/lm4flash > debian/lm4flash.1
	dh_installman

get-orig-source:
	@if [ ! -d "debian" ] ; then \
		echo 'Run this from the top directory of the Debian source' >&2; \
		exit 1; \
	fi
	mkdir -p debian/tmp
	wget https://github.com/utzig/lm4tools/archive/$(CHANGESET).zip -O debian/tmp/lm4tools.zip
	unzip debian/tmp/lm4tools.zip -d debian/tmp
	rm -rf debian/tmp/$(PACKAGE_NAME)-$(CHANGESET)*/lm4f120icdi
	tar -v -c --xz -C debian/tmp/$(PACKAGE_NAME)-$(CHANGESET)* -f ../$(PACKAGE_NAME)_$(UVERSION).orig.tar.xz .
